unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Timer1: TTimer;
    Timer2: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
  private
    { Private declarations }
    FMinimized: Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  Math;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  i: Integer;
begin
  if FMinimized then
  begin
    Series1.Clear;
    for i := 9999 downto 0 do
      Series1.AddXY(Now - i, RandG(0, 50));
    Application.Restore;
    Application.BringToFront;
  end
  else
    Application.Minimize;
  FMinimized:=not FMinimized;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
  Chart1.Refresh;
end;

end.
